<?php
/**
 * $Project: Pastebin $
 * $Id: layout.php,v 1.1 2006/04/27 16:22:39 paul Exp $
 * 
 * Pastebin Collaboration Tool
 * http://pastebin.com/
 *
 * This file copyright (C) 2006 Paul Dixon (paul@elphin.com)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
pastebin.com Copyright 2006 Paul Dixon - email suggestions to lordelph at gmail.com
-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title><?php echo $page['title'] ?></title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="ROBOTS" content="NOARCHIVE"/>
	<link rel="stylesheet" type="text/css" media="screen" href="/pastebin.css?ver=4" />

<?php if (isset($page['post']['codecss']))
{
	echo '<style type="text/css">';
	echo $page['post']['codecss'];
	echo '</style>';
}
?>
<script type="text/javascript" src="/pastebin.js?ver=3"></script>
</head>


<body onload="initPastebin()">
<div style="display:none;">
<h1 style="display: none;">pastebin - collaborative debugging</h1>
<p style="display: none;">pastebin is a collaborative debugging tool allowing you to share
and modify code snippets while chatting on IRC, IM or a message board.</p>
<p style="display: none;">This site is developed to XHTML and CSS2 W3C standards.  
If you see this paragraph, your browser does not support those standards and you 
need to upgrade.  Visit <a href="http://www.webstandards.org/upgrade/" target="_blank">WaSP</a>
for a variety of options.</p>
</div>

<div id="titlebar"><?php 
	echo $page['title'];
	if ($subdomain=='')
	{
		echo " <a href=\"{$CONF['this_script']}?help=1\">View Help</a>";
	}
	else
	{
		echo " <a href=\"{$CONF['this_script']}?help=1\">What's a private pastebin?</a>";
	}
?>
</div>



<div id="menu">

<h1>Последние записи</h1>
<ul>
<?php  
	foreach($page['recent'] as $idx=>$entry)
	{
		if ($entry['pid']==$pid)
			$cls=" class=\"highlight\"";
		else
			$cls="";
			
		echo "<li{$cls}><a href=\"{$entry['url']}\">";
		echo $entry['poster'];
		echo "</a><br/>{$entry['agefmt']}</li>\n";
	}
?>
<li><a href="<?php echo $CONF['this_script'] ?>">Новая запись</a></li>
</ul>

<h1>Новости</h1>
<p>You can now choose how long your posts
are retained for. More features coming soon for
helping you store permanent snippets of code</p>

<?php
if ($subdomain=='')
{
?>

<h1>Free subdomains!</h1>
<p>Want your own xyz.pastebin.com sub-domain for your community? 
Just type the address into your browser address bar! 
<a href="<?php echo $CONF['this_script'].'?help=1' ?>">See help</a> for more information</p>
	
<?php 
}
?>

<h1>О Pastebin</h1>
<p>Pastebin - это инструмент для совместной отладки или редактирования кода. Обратитесь к <a href="<?php echo $CONF['this_script'].'?help=1' ?>">справке</a>, чтобы получить больше информации.</p>

<p>Больше новостей в <a title="View pastebin related posts on my blog" href="http://blog.dixo.net/category/pastebin/">блоге</a>.</p>

<p>Please send feedback below...</p>

<?php 
if (isset($page['thankyou']))
{
	echo "<p style=\"color:red;\">{$page['thankyou']}</p>";
}
else
{
?>
<a name="feedback"></a>
<form method="post" action="<?php echo $CONF['this_script'].'#feedback' ?>">
<textarea name="msg" rows="5" style="width:100%;font-size:8pt;font-family:Arial;"></textarea>
<input type="hidden" name="feedback" value="1"/>
<input type="submit" value="send feedback"/>
</form>
<?php } ?>



<form method="get" action="http://www.php.net/search.php">
<h1>PHP Manual</h1>
<input type="text" size="9" name="pattern"/>
<input type="hidden" name="show" value="quickref"/>
<input type="submit" value="go"/>
</form>

<form method="get" action="http://www.mysql.com/search/?">
<h1>MySQL Manual</h1>
<input type="hidden" name="base" value="http://dev.mysql.com"/>
<input type="hidden" name="lang" value="en"/>
<input type="hidden" name="doc" value="1"/>
<input type="hidden" name="m" value="o"/>
<input type="text" size="9" name="q"/>
<input type="submit" value="go"/>
</form>

<h1>Credits</h1>
<p>Developed and hosted by <a title="My blog, mainly about software development" href="http://blog.dixo.net">Paul Dixon</a></p>

<!--  
<p>
    <a href="http://validator.w3.org/check/referer"><img
        src="http://www.w3.org/Icons/valid-xhtml10"
        alt="Valid XHTML 1.0!" height="31" width="88" border="0"/></a>
</p>
-->

</div>


<div id="content">
	
	<?php
/*
 * Google AdWords block is below - if you re-use this script, be sure
 * to configure your own AdWords client id!
 */
if (strlen($CONF['google_ad_client'])) 
{
?>
<script type="text/javascript"><!--
google_ad_client = "<?php echo $CONF['google_ad_client'] ?>";
google_ad_width = 728;
google_ad_height = 90;
google_ad_format = "728x90_as";
google_ad_type = "text_image";
google_ad_channel ="";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_link = "0099CC";
google_color_url = "888888";
google_color_text = "000000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<br/>
<br/>
<?php
}

///////////////////////////////////////////////////////////////////////////////
// show processing errors
//
if (count($pastebin->errors))
{
	echo "<h1>Ошибка</h1><ul>";
	foreach($pastebin->errors as $err)
	{
		echo "<li>$err</li>";
	}
	echo "</ul>";
	echo "<hr />";
}


if (isset($_REQUEST["diff"]))
{
	
	$newpid=intval($_REQUEST['diff']);
	
	$newpost=$pastebin->getPost($newpid);
	if (count($newpost))
	{
		$oldpost=$pastebin->getPost($newpost['parent_pid']);	
		if (count($oldpost))
		{
			$page['pid']=$newpid;
			$page['current_format']=$newpost['format'];
			$page['editcode']=$newpost['code'];
			$page['posttitle']='';
	
			//echo "<div style=\"text-align:center;border:1px red solid;padding:5px;margin-bottom:5px;\">Diff feature is in BETA! If you have feedback, send it to lordelph at gmail.com</div>";
			echo "<h1>Различия между изменённой записью <a href=\"".$pastebin->getPostUrl($newpost['pid'])."\">{$newpost['pid']}</a> оставленной <b>{$newpost['poster']}</b> {$newpost['postdate']} и<br />".
				"оригинальной записью <a href=\"".$pastebin->getPostUrl($oldpost['pid'])."\">{$oldpost['pid']}</a> оставленной <b>{$oldpost['poster']}</b> {$oldpost['postdate']}<br />";

			echo "Показать ";
			echo "<a title=\"Не показывать вставленные или измененные строки\" style=\"padding:1px 4px 3px 4px;\" id=\"oldlink\" href=\"javascript:showold()\">старую версию</a> | ";
			echo "<a title=\"Не показывать удаленные из старой версии\" style=\"padding:1px 4px 3px 4px;\" id=\"newlink\" href=\"javascript:shownew()\">новую версию</a> | ";
			echo "<a title=\"Показать вставленные и удаленные строки\"  style=\"background:#880000;padding:1px 4px 3px 4px;\" id=\"bothlink\" href=\"javascript:showboth()\">обе версии</a> ";
			echo "</h1>";
			
			$newpost['code']=preg_replace('/^'.$CONF['highlight_prefix'].'/m', '', $newpost['code']);
			$oldpost['code']=preg_replace('/^'.$CONF['highlight_prefix'].'/m', '', $oldpost['code']);
			
			$a1=explode("\n", $newpost['code']);
			$a2=explode("\n", $oldpost['code']);
			
			$diff=new Diff($a2,$a1, 1);
			
			echo "<table cellpadding=\"0\" cellspacing=\"0\" class=\"diff\">";
			echo "<tr><td></td><td></td><td>&nbsp;&nbsp;&nbsp;&nbsp;</td><td></td></tr>";
			echo $diff->output;
			echo "</table>";
		}
	}
}

///////////////////////////////////////////////////////////////////////////////
// show a post
//

if (isset($_GET['help']))
	$page['posttitle']="";
	
if (strlen($page['post']['posttitle']))
{
		echo "<h1>{$page['post']['posttitle']}";
		if ($page['post']['parent_pid']>0)
		{
			echo " (изменение записи оставленной <a href=\"{$page['post']['parent_url']}\" title=\"показать оригинальную запись\">{$page['post']['parent_poster']}</a>";
			echo "<a href=\"{$page['post']['parent_diffurl']}\" title=\"Найти различия\">показать различия</a>)";
		}
		
		echo "<br/>";
		
		$followups=count($page['post']['followups']);
		if ($followups)
		{
			echo "Показать изменения внесенные ";
			$sep="";
			foreach($page['post']['followups'] as $idx=>$followup)
			{
				echo $sep."<a title=\"Запись оставлена {$followup['postfmt']}\" href=\"{$followup['followup_url']}\">{$followup['poster']}</a>";
				$sep=($idx<($followups-2))?", ":" и ";	
			}
			
			echo " | ";
		}
		
		if ($page['post']['parent_pid']>0)
		{
			echo "<a href=\"{$page['post']['parent_diffurl']}\" title=\"Найти различия\">различия</a> | ";
		} 
		
		echo "<a href=\"{$page['post']['downloadurl']}\" title=\"Скачать в виде файла\">скачать</a> | ";
		
		echo "<span id=\"copytoclipboard\"></span>";
		
		echo "<a href=\"/\" title=\"Оставить новую запись\">новая запись</a>";
		
		echo "</h1>";
}
if (isset($page['post']['pid']))
{
	echo "<div class=\"syntax\">".$page['post']['codefmt']."</div>";
	echo "<br /><b>Отправка исправлений и поправок. (<a href=\"{$CONF['this_script']}\">cоздать новую запись</a>)</b><br/>";
	echo "После отправки поправок вы сможете посмотреть различия между старой и новой записью.";
}	

if (isset($_GET['help']))
{
	?>
	<h1>Что такое Pastebin?</h1>
	<p>Pastebin &mdash; это сервис, который поможет вам совместно отлаживать участки кода. Но вы можете найти любое другое применение для Pastebin. Многие используют его для следующих целей:</p>
	<ul>
		<li><a href="/">отправка</a> участков кода в Pastebin и получение для него постоянного адреса, например  http://pastebin.com/1234</li>
		<li>размещение ссылок на код в IRC или IM, чтобы не загромождать обсуждение лишним текстом</li>
		<li>возможно, кто-то, прочитав, ответит вам, изменив размещённый код</li>
		<li>просмотр изменений с помощью встроенного инструмента отображения различий помогает найти внесённые поправки</li>
	</ul>
	
	<h1>Как посмотреть различия между двумя записями?</h1>
	<p>При просмотре оставленной записи, у вас есть возможность изменить ее &mdash; <strong>это создаст новую запись</strong>, но когда вы будете просматривать ее, у вас будет ссылка 'Различия', которая позволит вам найти различия между старой и новой версией записи</p>
	<p>Эта отличительная особенность Pastebin позволяет точно увидеть какая именно строка была изменена.</p>
	
	<h1>What's a private pastebin and how do I get one?</h1>
	<p>You get a private pastebin simply by thinking up a domain name no-one else is using,
	e.g. http://private.pastebin.com or http://this-is-my.pastebin.com. Posts made into a
	subdomain only show up on that domain, making it easy for you to collaborate without the
	'noise' of the regular service at <a href="http://pastebin.com">http://pastebin.com</a>.</p>
	
	<p>All you need to do is change the web address in your browser to access a private pastebin,
	or you can simply enter the domain you'd like below</p>
	
	<form method="get" action="<?php echo $CONF['this_script']?>">
	<input type="hidden" name="help" value="1"/>
	<p>Go to http://<input type="text" name="goprivate" value="<?php echo stripslashes($_GET['goprivate']) ?>" size="10"/>.pastebin.com 
	<input type="submit" name="go" value="Go"/></p>
	<?php if (isset($_GET['goprivate'])) { echo "<p>Please use only characters a-z,0-9, dash '-' and period '.'. Your name must start and end with a letter or number.</p>"; } ?>
	</form>
	
	<p>Please note that there is no password protection - subdomains are accessible to anyone
	who knows the domain name you've chosen, but we do not publish a list of domains used.</p>
	
	<h1>Subdomains for your language...</h1>
	
	<p>If a subdomain matches a language name, the required syntax highlighting is selected
		for you, so ruby.pastebin.com will preselect Ruby automatically. </p>
	
	<p><?php 
	
	$sep="";
	foreach($CONF['all_syntax'] as $langcode=>$langname)
	{
		if ($langcode=='text')
			$langname="Plain Text";
		echo "{$sep}<a title=\"{$langname} Pastebin\" href=\"http://{$langcode}.pastebin.com\">{$langname}</a>";
		$sep=", ";
	}	
		
		
		?></p>
	
	<h1>И всё это бесплатно?</h1>
	<p>Да, все это есть и будет абсолютно бесплатно</p>
	
	<h1>Могу ли я получить исходный код?</h1>
	<p>Исходный код этого сайта доступен под лицензией GPL. Вы можете свободно <a title="Исходный код, 130Kb" href="http://pastebin.com/pastebin.tar.gz">скачать его</a>.</p>
	
	<p>Новости о развитии Pastebin доступны в <a title="Блог автора Pastebin" href="http://blog.dixo.net/category/pastebin/">блоге автора</a>.</p>
	
	<h1>I have some feedback, who do I contact?</h1>
	<p>Use the feedback box in the sidebar or email <script type="text/javascript">eval(unescape('%64%6f%63%75%6d%65%6e%74%2e%77%72%69%74%65%28%27%3c%61%20%68%72%65%66%3d%22%6d%61%69%6c%74%6f%3a%70%61%75%6c%40%65%6c%70%68%69%6e%2e%63%6f%6d%22%20%3e%50%61%75%6c%20%44%69%78%6f%6e%3c%2f%61%3e%27%29%3b'))</script> 
	</p>

	<h1>Чем ваш Pastebin лучше чем остальные?</h1>
	<p>В процессе создания сервиса <a href="http://pastebin.mozilla-russia.org">Pastebin Mozilla Россия</a> нами были внесены несколько изменений в движок Pastebin:</p>
	<ul>
		<li>добавлена поддержка русского языка</li>
		<li>наш Pastebin работает в UTF-8</li>
		<li>увеличено число профилей для подсветки синтаксиса</li>
		<li>был создан профиль подсветки для языка XUL</li>
		<li>добавлена капча для защиты от спама</li>
	</ul>
 	<p>Скачать нашу версию Pastebin вы можете <a href="http://pastebin.mozilla-russia.org/pastebin_mr.zip">здесь</a>.</p>
	<?php
}
else
{
?>
				<form name="editor" method="post" action="<?php echo $CONF['this_script']?>">
					<input type="hidden" name="parent_pid" value="<?php echo $page['post']['pid'] ?>"/><br />
					Использовать подсветку синтаксиса
					<select name="format">
<?php
//show the popular ones
foreach ($CONF['all_syntax'] as $code=>$name)
{
	if (in_array($code, $CONF['popular_syntax']))
	{
		$sel=($code==$page['current_format'])?"selected=\"selected\"":"";
		echo "\t\t\t\t\t\t"."<option $sel value=\"$code\">$name</option>"."\n";
	}
}
echo "\t\t\t\t\t\t"."<option  value=\"text\">----------------------------</option>"."\n";

//show all formats
foreach ($CONF['all_syntax'] as $code=>$name)
{
	$sel=($code==$page['current_format'])?"selected=\"selected\"":"";
	if (in_array($code, $CONF['popular_syntax']))
		$sel="";
	echo "\t\t\t\t\t\t"."<option $sel value=\"$code\">$name</option>"."\n";
}
?>
					</select>
					<br />Для подсветки отдельных строк используйте для них префикс <?php echo $CONF['highlight_prefix'] ?><br />
					<textarea id="code" class="codeedit" name="code2" cols="80" rows="10" onkeydown="return catchTab(this,event)"><?php echo htmlentities($page['post']['editcode'],ENT_COMPAT,"UTF-8") ?></textarea>
					<div id="namebox">
						<label for="poster">Ваше имя</label>
						<input type="text" maxlength="24" size="24" id="poster" name="poster" value="<?php echo $page['poster'] ?>" /><br />
		                <label for="security_code">Введите текст с изображения</label><br />
			            <img src="./inc/CaptchaSecurityImages.php?width=100&height=40&characters=5" alt="картинка" /><br />
	                    <input id="security_code" name="security_code" type="text" size="12"/><br />
					</div>
					<div id="expirybox">
						<label>Как долго ваша запись должна быть доступна?</label><br/>
						<input type="radio" id="expiry_day" name="expiry" value="d" <?php if ($page['expiry']=='d') echo 'checked="checked"'; ?> />
						<label id="expiry_day_label" for="expiry_day">1 день</label>

						<input type="radio" id="expiry_month" name="expiry" value="m" <?php if ($page['expiry']=='m') echo 'checked="checked"'; ?> />
						<label id="expiry_month_label" for="expiry_month">1 месяц</label>

						<input type="radio" id="expiry_forever" name="expiry" value="f" <?php if ($page['expiry']=='f') echo 'checked="checked"'; ?> />
						<label id="expiry_forever_label" for="expiry_forever">Всегда</label>
						<div id="expiryinfo"></div>
						<input type="submit" name="paste" value="Отправить" />
						<input type="checkbox" name="remember" value="1" <?php echo $page['remember'] ?> />Запомнить мои настройки
					</div>
					<div id="end"></div>
</form>
<?php 
} 
?>

</div>
</body>
</html>
